Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
analyses
/
compute-cost
Compute Brand Analysis cost
curl --request POST \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/compute-cost \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "llm_providers": [],
  "personas": [
    "<string>"
  ],
  "countries": []
}
'
{
  "generations": 123
}

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Body

llm_providers
enum<string>[]
required
  • OpenAI - OpenAI
  • Google AI - Google AI
  • Google AI Mode - Google AI Mode
  • Meta AI - Meta AI
  • Anthropic - Anthropic
  • DeepSeek - DeepSeek
  • Mistral - Mistral
  • Perplexity - Perplexity
  • Amazon - Amazon
Available options:
OpenAI,
Google AI,
Google AI Mode,
Meta AI,
Anthropic,
DeepSeek,
Mistral,
Perplexity,
Amazon
personas
string[]
countries
enum<string>[]
  • AE - AE
  • AR - AR
  • AT - AT
  • AU - AU
  • BE - BE
  • BH - BH
  • BR - BR
  • CA - CA
  • CH - CH
  • CL - CL
  • CN - CN
  • CO - CO
  • CZ - CZ
  • DE - DE
  • DK - DK
  • EC - EC
  • EG - EG
  • ES - ES
  • FI - FI
  • FR - FR
  • GB - GB
  • GQ - GQ
  • GR - GR
  • HK - HK
  • HU - HU
  • IE - IE
  • ID - ID
  • IL - IL
  • IN - IN
  • IQ - IQ
  • IT - IT
  • JP - JP
  • KR - KR
  • KW - KW
  • LU - LU
  • MX - MX
  • MY - MY
  • NG - NG
  • NL - NL
  • NO - NO
  • NZ - NZ
  • PE - PE
  • PH - PH
  • PK - PK
  • PL - PL
  • PT - PT
  • QA - QA
  • RO - RO
  • RU - RU
  • SA - SA
  • SE - SE
  • SG - SG
  • TH - TH
  • TR - TR
  • TW - TW
  • VN - VN
  • US - US
  • ZA - ZA
  • EU - EU
  • NA - NA
  • WW - WW
Available options:
AE,
AR,
AT,
AU,
BE,
BH,
BR,
CA,
CH,
CL,
CN,
CO,
CZ,
DE,
DK,
EC,
EG,
ES,
FI,
FR,
GB,
GQ,
GR,
HK,
HU,
IE,
ID,
IL,
IN,
IQ,
IT,
JP,
KR,
KW,
LU,
MX,
MY,
NG,
NL,
NO,
NZ,
PE,
PH,
PK,
PL,
PT,
QA,
RO,
RU,
SA,
SE,
SG,
TH,
TR,
TW,
VN,
US,
ZA,
EU,
NA,
WW

Response

generations
integer
required